MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026217Open CASCADE[OCCT] OCCT:Visualizationpublic2015-05-13 11:022015-10-23 20:51
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformMacOSOSOS VersionX
Product Version[OCCT] 6.9.0 
Target Version[OCCT] 6.9.1Fixed in Version[OCCT] 6.9.1 
Summary0026217: Visualization, Select3D_SensitiveCircle - fix compilation with CLang for iOS
DescriptionThe following code is not compiled by CLang due to wrong last argument:
238 Standard_Boolean Select3D_SensitiveCircle::Matches (SelectBasics_SelectingVolumeManager& theMgr,

239                                                     SelectBasics_PickResult& thePickResult)

258       thePickResult = SelectBasics_PickResult (aDepth, aDistToCOG);
259       if (!theMgr.Overlaps (myBndBox.CornerMin(), myBndBox.CornerMax(), Standard_False))
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberbugs vis(004) bug26217
Attached Files

- Relationships

-  Notes
(0040840)
git (administrator)
2015-05-13 11:05

Branch CR26217 has been created by kgv.

SHA-1: 4bbb38bed0ffcaa5b50684728b8e006826350900


Detailed log of new commits:

Author: kgv
Date: Wed May 13 11:05:35 2015 +0300

    0026217: Visualization, Select3D_SensitiveCircle - fix compiler error using CLang for iOS
(0040846)
git (administrator)
2015-05-13 12:30

Branch CR26217_1 has been created by vpa.

SHA-1: 9ff40157ad85f2e607d75d86b16869de4b0babed


Detailed log of new commits:

Author: vpa
Date: Wed May 13 12:30:38 2015 +0300

    0026217: Visualization, Select3D_SensitiveCircle - fix compilation with CLang for iOS
    
    Inclusion detection for filled sensitive circles was corrected
(0040848)
vpa (developer)
2015-05-13 12:33

Dear Kirill,

please review patch in branch CR26217_1.
(0040852)
kgv (developer)
2015-05-13 14:52

Please test the patch.
(0041149)
mkv (tester)
2015-05-14 17:44
edited on: 2015-05-15 13:33

Dear BugMaster,
Branch CR26217_1 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 9ff40157ad85f2e607d75d86b16869de4b0babed

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)

products component :
Linux: 4 (4 on master)
Windows: 0 (0 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
http://occt-tests/CR26217-1-master-occt-64/Debian60-64/bugs/vis/bug26217.html [^]
http://occt-tests/CR26217-1-master-occt-64/Windows-64-VC10/bugs/vis/bug26217.html [^]
bugs vis(004) bug26217: OK

Testing on Linux:
occt component :
Total MEMORY difference: 95535865 / 95565602 [-0.03%]
Total CPU difference: 53237.02999999939 / 51844.84999999939 [+2.69%]
products component :
Total MEMORY difference: 23851550 / 23928051 [-0.32%]
Total CPU difference: 17675.83999999998 / 16286.969999999976 [+8.53%]

Testing on Windows:
occt component :
http://occt-tests/CR26217-1-master-occt-64/Windows-64-VC10/diff-Windows-64-VC10.html [^]

Total MEMORY difference: 58983047 / 59077877 [-0.16%]
Total CPU difference: 17028.741557898815 / 17060.09775889886 [-0.18%]

products component :
Total MEMORY difference: 15632970 / 15636788 [-0.02%]
Total CPU difference: 6384.902528599989 / 6469.236669199996 [-1.30%]

There are no differences in images found by testdiff.

(0043480)
git (administrator)
2015-07-27 13:29

Branch CR26217 has been deleted by kgv.

SHA-1: 4bbb38bed0ffcaa5b50684728b8e006826350900
(0043481)
git (administrator)
2015-07-27 13:29

Branch CR26217_1 has been deleted by kgv.

SHA-1: 9ff40157ad85f2e607d75d86b16869de4b0babed

- Related Changesets
occt: master 14cda02f
Timestamp: 2015-05-13 09:30:38
Author: vpa
Committer: bugmaster
Details ] Diff ]
0026217: Visualization, Select3D_SensitiveCircle - fix compilation with CLang for iOS

Inclusion detection for filled sensitive circles was corrected
mod - src/Select3D/Select3D_SensitiveCircle.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ObjectCommands.cxx Diff ] File ]
add - tests/bugs/vis/bug26217 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-05-13 11:02 kgv New Issue
2015-05-13 11:02 kgv Assigned To => kgv
2015-05-13 11:05 git Note Added: 0040840
2015-05-13 11:05 kgv Assigned To kgv => vpa
2015-05-13 11:05 kgv Status new => assigned
2015-05-13 11:06 kgv Relationship added related to 0026147
2015-05-13 12:28 vpa Summary Visualization, Select3D_SensitiveCircle - fix compiler error using CLang for iOS => Visualization, Select3D_SensitiveCircle - fix compilation with CLang for iOS
2015-05-13 12:30 git Note Added: 0040846
2015-05-13 12:33 vpa Note Added: 0040848
2015-05-13 12:33 vpa Assigned To vpa => kgv
2015-05-13 12:33 vpa Status assigned => resolved
2015-05-13 14:52 kgv Note Added: 0040852
2015-05-13 14:52 kgv Assigned To kgv => bugmaster
2015-05-13 14:52 kgv Status resolved => reviewed
2015-05-13 15:21 mkv Assigned To bugmaster => mkv
2015-05-14 17:44 mkv Note Added: 0041149
2015-05-14 17:44 mkv Assigned To mkv => vpa
2015-05-14 17:44 mkv Status reviewed => feedback
2015-05-14 17:44 mkv Test case number => bugs vis(004) bug26217
2015-05-14 18:07 san Assigned To vpa => bugmaster
2015-05-15 13:33 bugmaster Note Edited: 0041149 View Revisions
2015-05-15 13:33 bugmaster Status feedback => tested
2015-05-22 12:19 bugmaster Changeset attached => occt master 14cda02f
2015-05-22 12:19 bugmaster Status tested => verified
2015-05-22 12:19 bugmaster Resolution open => fixed
2015-07-27 13:29 git Note Added: 0043480
2015-07-27 13:29 git Note Added: 0043481
2015-08-26 11:11 abv Target Version 7.0.0 => 6.9.1
2015-10-16 14:56 aiv Status verified => closed
2015-10-23 20:51 aiv Fixed in Version => 6.9.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker